# WoopsiUI::Gadget::Flags Struct Reference

`#include <gadget.h>`

List of all members.

## Public Attributes
u8 | clicked: 1
u8 | hasFocus: 1
u8 | dragging: 1
u8 | deleted: 1
u8 | shelved: 1
u8 | borderless: 1
u8 | draggable: 1
u8 | drawingEnabled: 1
u8 | enabled: 1
u8 | decoration: 1
u8 | permeable: 1
u8 | raisesEvents: 1
u8 | erased: 1
u8 | shiftClickChildren: 1
u8 | visibleRegionCacheInvalid: 1
u8 | hidden: 1
u8 | doubleClickable: 1
u8 | modal: 1

## Detailed Description

Struct describing some basic properties of a gadget.

## Member Data Documentation

u8 WoopsiUI::Gadget::Flags::borderless

True if the gadget is borderless.

u8 WoopsiUI::Gadget::Flags::clicked

True if the gadget is currently clicked.

u8 WoopsiUI::Gadget::Flags::decoration

True if the gadget is a decoration.

u8 WoopsiUI::Gadget::Flags::deleted

True if the gadget has been deleted.

u8 WoopsiUI::Gadget::Flags::doubleClickable

True if the gadget can be double-clicked.

u8 WoopsiUI::Gadget::Flags::draggable

True if the gadget can be dragged.

u8 WoopsiUI::Gadget::Flags::dragging

True if the gadget is being dragged.

u8 WoopsiUI::Gadget::Flags::drawingEnabled

True if the gadget can be drawn.

u8 WoopsiUI::Gadget::Flags::enabled

True if the gadget is enabled.

u8 WoopsiUI::Gadget::Flags::erased

True if the gadget is currently erased from the frame buffer.

u8 WoopsiUI::Gadget::Flags::hasFocus

True if the gadget has focus.

u8 WoopsiUI::Gadget::Flags::hidden

True if the gadget is hidden.

u8 WoopsiUI::Gadget::Flags::modal

True if the gadget is modal.

u8 WoopsiUI::Gadget::Flags::permeable

True if the gadget's children can exceed its dimensions.

u8 WoopsiUI::Gadget::Flags::raisesEvents

True if the gadget can raise events.

u8 WoopsiUI::Gadget::Flags::shelved

True if the gadget has been shelved.

u8 WoopsiUI::Gadget::Flags::shiftClickChildren

True if the gadget sends shift clicks to its children.

u8 WoopsiUI::Gadget::Flags::visibleRegionCacheInvalid

True if the region cache is invalid.

The documentation for this struct was generated from the following file:

- C:/Documents and Settings/Administrator/Desktop/woopsi-src-0.39/Woopsi/woopsi/gadget.h

All Classes Functions Variables Enumerations Enumerator